package fyloz.trial.ColorRecipesExplorer.dao;

import fyloz.trial.ColorRecipesExplorer.model.Mix;
import fyloz.trial.ColorRecipesExplorer.model.Recipe;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MixDao extends JpaRepository<Mix, Integer> {

    Mix findByMixID(int mixID);

    List<Mix> findAllByRecipe(Recipe recipe);
}
