package fyloz.trial.ColorRecipesExplorer.dao;

import fyloz.trial.ColorRecipesExplorer.model.Recipe;
import fyloz.trial.ColorRecipesExplorer.model.RecipeStep;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface StepDao extends JpaRepository<RecipeStep, Integer> {

    RecipeStep findByStepID(int stepID);

    List<RecipeStep> findAllByRecipe(Recipe recipe);

}
