package fyloz.trial.ColorRecipesExplorer.web;

public class PagesPaths {
    // Autres
    public static final String INDEX = "index";
    public static final String SIMDUT_FILES = "simdut/{materialID}";
    public static final String PASSWORD_VALIDATION = "password/valid";
    public static final String TOUCHUP = "touchup";

    // Images
    public static final String IMAGES_FILES = "images/{image}";
    public static final String ADD_IMAGE = "images/add";
    public static final String ADD_IMAGE_SPECIFIC = "images/add/{recipeID}";
    public static final String DELETE_IMAGE = "images/deleteIfNotLinked";

    // Inventaire
    public static final String INVENTORY = "inventory";
    public static final String USE_INVENTORY = "inventory/use";

    // Recettes
    public static final String EXPLORER_RECIPE = "recipe/explore";
    public static final String EXPLORER_RECIPE_SPECIFIC = "recipe/explore/{recipeID}";
    public static final String CREATOR_RECIPE = "recipe/creator";
    public static final String CREATOR_RECIPE_SUCCESS = "recipe/created";
    public static final String EDITOR_RECIPE = "recipe/editor";
    public static final String EDITOR_RECIPE_SPECIFIC = "recipe/editor/{recipeID}";
    public static final String EDITOR_RECIPE_EDITOR = "recipe/edit";
    public static final String REMOVER_RECIPE = "recipe/remover";
    public static final String REMOVER_RECIPE_SPECIFIC = "recipe/remover/{recipeID}";

    // Compagnies
    public static final String CREATOR_COMPANY = "company/creator";
    public static final String CREATOR_COMPANY_SUCCESS = "company/created";
    public static final String REMOVER_COMPANY = "company/remover";
    public static final String REMOVER_COMPANY_SPECIFIC = "company/remover/{companyID}";

    // Matériaux
    public static final String CREATOR_MATERIAL = "material/creator";
    public static final String EDIT_MATERIAL_SIMDUT = "material/simdut";
    public static final String EDIT_MATERIAL_SIMDUT_SPECIFIC = "material/simdut/{materialID}";
    public static final String CREATOR_MATERIAL_SUCCESS = "material/created";
    public static final String REMOVER_MATERIAL = "material/remover";
    public static final String REMOVER_MATERIAL_SPECIFIC = "material/remover/{materialID}";
    public static final String EDITOR_MATERIAL = "material/editor";
    public static final String EDITOR_MATERIAL_SPECIFIC = "material/editor/{materialID}";
    public static final String EDITOR_MATERIAL_EDITOR = "material/edit";

    // Types de matériaux
    public static final String CREATOR_MATERIAL_TYPE = "materialType/creator";

    // Mélanges
    public static final String CREATOR_MIX = "mix/creator";
    public static final String CREATOR_MIX_SPECIFIC = "mix/creator/{recipeID}";
    public static final String EDITOR_MIX = "mix/editor";
    public static final String EDITOR_MIX_SPECIFIC = "mix/editor/{mixID}";
    public static final String REMOVER_MIX_SPECIFIC = "mix/remover/{mixID}";
}
